Subject: bug#16115: 24.3.50; doc string of `display-buffer-in-side-window' - there is no SIDE arg

From: Drew Adams <[email-masked]>
Date: Thu, 12 Dec 2013 08:18:35 -0800 (PST)

>  > Wrt the function (and how I discovered its doc), I just used it in an
>  > answer to a StackOverflow question.  Dunno whether my answer is
>  > appropriate or a good use of the function.  Probably there is a simpler
>  > and better answer.
> 
> `display-buffer-below-selected' or something similar might be the
> answer.  Side windows serve a completely different purpose.

Sorry, I don't understand.  The requester wanted the buffer to pop up on
the right, not below.  And AFAICT the code I proposed does that.  Can
you elaborate?

What is the right way to pop to a buffer in a window to the right?  IOW,
the request was to get the effect of `C-x 3' but with the chosen buffer,
not the same buffer, in the new window on the right.